Bug 490170 - qpidd init script does not implement condrestart though the rpm has a script to call it
qpidd init script does not implement condrestart though the rpm has a script ...
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
1.0
All Linux
medium Severity low
: 1.3
: ---
Assigned To: Gordon Sim
Frantisek Reznicek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-13 12:44 EDT by Gordon Sim
Modified: 2015-11-15 19:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, the qpidd service startup script did not support the "condrestart" command, even though certain scripts incorrectly attempted to use it and failed. With this update, the "condrestart" command has been implemented, and such scripts now work as expected.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-14 12:11:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gordon Sim 2009-03-13 12:44:54 EDT

    
Comment 2 Gordon Sim 2009-10-29 06:18:04 EDT
Fixed by 830879.
Comment 4 Frantisek Reznicek 2010-09-20 05:14:48 EDT
The service 'condrestart' functionality was added, tested on RHEL 4.8 / 5.5 i386 / x86_64, packages:
python-qmf-0.7.946106-13.el5
python-qpid-0.7.946106-14.el5
qmf-0.7.946106-15.el5
qmf-devel-0.7.946106-15.el5
qpid-cpp-client-0.7.946106-15.el5
qpid-cpp-client-devel-0.7.946106-15.el5
qpid-cpp-client-devel-docs-0.7.946106-15.el5
qpid-cpp-client-rdma-0.7.946106-15.el5
qpid-cpp-client-ssl-0.7.946106-15.el5
qpid-cpp-server-0.7.946106-15.el5
qpid-cpp-server-cluster-0.7.946106-15.el5
qpid-cpp-server-devel-0.7.946106-15.el5
qpid-cpp-server-rdma-0.7.946106-15.el5
qpid-cpp-server-ssl-0.7.946106-15.el5
qpid-cpp-server-store-0.7.946106-15.el5
qpid-cpp-server-xml-0.7.946106-15.el5
qpid-dotnet-0.4.738274-2.el5
qpid-java-client-0.7.946106-9.el5
qpid-java-common-0.7.946106-9.el5
qpid-tools-0.7.946106-10.el5

-> VERIFIED
Comment 5 Jaromir Hradilek 2010-10-07 10:53:28 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The qpidd service startup script newly supports the "condrestart" command.
Comment 6 mick 2010-10-07 15:42:24 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1,11 @@
-The qpidd service startup script newly supports the "condrestart" command.+Cause:
+    condrestart command not yet implemented in qpidd service startup script
+
+  Consequence:
+    Some customer scripts will assume that this command is available, and fail.
+
+  Fix:
+    implemented the condrestart command in the qpidd service startup script
+
+  Result:
+    now the startup script supports this standard command -- restart the service if it is running.
Comment 7 Jaromir Hradilek 2010-10-08 07:18:09 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1,11 +1 @@
-Cause:
+Previously, the qpidd service startup script did not support the "condrestart" command, even though certain scripts incorrectly attempted to use it and failed. With this update, the "condrestart" command has been implemented, and such scripts now work as expected.-    condrestart command not yet implemented in qpidd service startup script
-
-  Consequence:
-    Some customer scripts will assume that this command is available, and fail.
-
-  Fix:
-    implemented the condrestart command in the qpidd service startup script
-
-  Result:
-    now the startup script supports this standard command -- restart the service if it is running.
Comment 9 errata-xmlrpc 2010-10-14 12:11:45 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0773.html

Note You need to log in before you can comment on or make changes to this bug.